<?php	
/*
*
*	Mascot Framework Main Class
*	---------------------------------------
*	Mascot Framework v1.0
* 	Copyright Theme Mascot 2014 - http://www.thememascot.com
*
*/


/* TGM PLUGINS INCLUDED
================================================== */
require_once( EDUCACION_MASCOT_FRAMEWORK_DIR . '/tgm/tgm-plugins-register.php' );


/* Core Utility Variables and Functions
================================================== */
require_once( EDUCACION_MASCOT_FRAMEWORK_DIR . '/core/core-utility-variables-functions.php' );


/* REDUX OPTIONS FRAMEWORK DATA
================================================== */
if ( educacion_mascot_core_plugin_installed() && class_exists( 'ReduxFramework' ) && file_exists( EDUCACION_MASCOT_FRAMEWORK_DIR . '/redux-framework/config.php' ) ) {
	require_once( EDUCACION_MASCOT_FRAMEWORK_DIR . '/redux-framework/config.php' );
}

/* Breadcrumb Trail
================================================== */
if ( !function_exists( 'educacion_mascot_breadcrumb_trail' ) ) {
require_once( EDUCACION_MASCOT_FRAMEWORK_DIR . '/lib/breadcrumbs.php' );
}


/* Custom Actions
================================================== */
require_once( EDUCACION_MASCOT_FRAMEWORK_DIR . '/mascot-custom-action.php' );

/* Core Functions
================================================== */
require_once( EDUCACION_MASCOT_FRAMEWORK_DIR . '/core/core-functions.php' );

/* Load Core Lib
================================================== */
require_once( EDUCACION_MASCOT_FRAMEWORK_DIR . '/core/core-loader.php' );

/* Core Actions
================================================== */
require_once( EDUCACION_MASCOT_FRAMEWORK_DIR . '/core/core-actions.php' );

/* Core Filters
================================================== */
require_once( EDUCACION_MASCOT_FRAMEWORK_DIR . '/core/core-filters.php' );

/* Custom Nav Walker
================================================== */
require_once( EDUCACION_MASCOT_FRAMEWORK_DIR . '/custom-walker/sweet-custom-menu.php' );

/* One Click Demo Import
================================================== */
require_once( EDUCACION_MASCOT_FRAMEWORK_DIR . '/tgm/demo-content-import.php' );


